Skip to content

data_bound_samples_create

POST
/api/data/{data_pk}/bound_samples
curl --request POST \
--url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bound_samples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--data '{ "sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Create a new sample bound data object.

data_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

Serialize data bound to a sample.

object
id
required
string format: uuid
title
required

Retrieve the title attribute from the sample object.

Parameters

obj : SampleBoundData The object containing the sample with a title attribute.

Returns

str The title of the sample.

string
sample
required
string format: uuid
data
required
string format: uuid
datalink
required
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : SampleBoundData The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : SampleBoundData The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example generated

{
"sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
Media typeapplication/json

Serialize data bound to a sample.

object
id
required
string format: uuid
title
required

Retrieve the title attribute from the sample object.

Parameters

obj : SampleBoundData The object containing the sample with a title attribute.

Returns

str The title of the sample.

string
sample
required
string format: uuid
data
required
string format: uuid
datalink
required
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : SampleBoundData The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : SampleBoundData The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example generated

{
"sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
Media typeapplication/json

Serialize data bound to a sample.

object
id
required
string format: uuid
title
required

Retrieve the title attribute from the sample object.

Parameters

obj : SampleBoundData The object containing the sample with a title attribute.

Returns

str The title of the sample.

string
sample
required
string format: uuid
data
required
string format: uuid
datalink
required
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : SampleBoundData The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : SampleBoundData The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example generated

{
"sample": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"datalink": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "query_validation_error",
"message": "Invalid query parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "data",
"code": "does_not_exist",
"message": "\"<data_value>\" is not a valid UUID."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "node",
"code": "not_allowed",
"message": "The member's role does not allow creation."
}
]
}